<?php
/**
* Simple Avis Client - Joomla Module 
* Version			: 1.0.0
* Package			: Joomla 3.x.x
* copyright 		: Copyright (C) 2017 ConseilGouz. All rights reserved.
* license    		: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* From              : OT Testimonies  version 1.0, OmegaTheme Extensions - http://omegatheme.com
* Updated on        : July, 2017
*/

// No direct access
defined('_JEXEC') or die;
jimport('joomla.application.component.modellist');
jimport('joomla.application.component.helper');
class SPAvisClientModelList extends JModelList
{
	function getListQuery()
	{
		$db			= $this->getDbo();
		$query		= $db->getQuery(true);
		$query->select(
			't.id , t.category, c.title, t.name, t.firstname, t.zipcode, t.comment, t.rating, t.city'
		);
		$query->from('`#__spavisclient` as t')
			  ->join('INNER','#__categories as c on c.id = t.category')
		      ->where('state=1');
        // Add the list ordering clause.
        $query->order($db->escape($this->getState('list.ordering', 't.ordering')) . ' ' . $db->escape($this->getState('list.direction', 'ASC')));
		return $query;
	} 
    public function getForm($data = array(), $loadData = true)
    {
        // Get the form.
        $form = $this->loadForm('com_spavisclient.item', 'item', array('control' => 'jform', 'load_data' => $loadData));
        if (empty($form)) {
            return false;
        }
        if ($this->getState('item.id')) {
            // Existing record. Can only edit in selected categories.
            $form->setFieldAttribute('#FIELD_CATEGORY_ID#', 'action', 'core.edit');
        } else {
            // New record. Can only create in selected categories.
            $form->setFieldAttribute('#FIELD_CATEGORY_ID#', 'action', 'core.create');
        }
        return $form;
    }  
    protected function loadFormData()
    {
        // Check the session for previously entered form data.
        $data = JFactory::getApplication()->getUserState('com_spavisclient.edit.item.data', array());
        if (empty($data))
            $data = '';
        return $data;
    }    
    public function save($table,$data,$id=0)
    {
        $db            = $this->getDbo();
        if ($id)
        {
            $data->id=$id;
            $db->updateObject($table,$data,'id',false);
            return $id;    
        }
        else
        {
            if (!$db->insertObject( $table, $data, 'id' )) {
                echo $db->stderr();
                die();
            }
            return $data->id;
        }
    } 
    protected function populateState($ordering = null, $direction = null) {
      $app = JFactory::getApplication();
      $limit = $app->getUserStateFromRequest('global.list.limit', 'limit', $app->getCfg('list_limit'), 'uint');
      $this->setState('list.limit', $limit);
      $limitstart = $app->input->get('limitstart', 0, 'uint');
      $this->setState('list.start', $limitstart);
    }            
}