<?php
/**
* Simple Avis Client - Joomla Module 
* Version			: 1.0.0
* Package			: Joomla 3.x.x
* copyright 		: Copyright (C) 2017 ConseilGouz. All rights reserved.
* license    		: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* From              : OT Testimonies  version 1.0, OmegaTheme Extensions - http://omegatheme.com
* Updated on        : July, 2017
*/

// no direct access
defined('_JEXEC') or die;
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidator');
$params = JComponentHelper::getParams('com_spavisclient'); 
?>
<style>
div.stars {
  display: inline-block;
}
input.star { display: none; }
label.star {
  float: right;
  padding: 10px;
  font-size: 36px;
  color: #444;
  transition: all .2s;
}
input.star:checked ~ label.star:before {
  content: '\f005';
  color: #FD4;
  transition: all .25s;
}
label.star:hover { transform: rotate(-15deg) scale(1.3); }
label.star:before {
  content: '\f006';
  font-family: FontAwesome;
}
<?php if ($params->get('use_bootstrap') ==  '0') : ?>
.spavisclient-form .col-md-5 {
	width: 40%;
}
.spavisclient-form .col-sm-4 {
	width: 33%;
}
.spavisclient-form .col-sm-2 {
	width: 15%;
}
.spavisclient-form .col-sm-3 {
	width: 25%;
}
.spavisclient-form .col-sm-8 {
	width: 75%;
}
<?php endif; ?>
</style>

<div class="spavisclient-form row">
    <div class="col-xs-12 col-sm-5 col-md-5">
        <h3><?php echo JText::_('COM_SPAVISCLIENT_FORM'); ?></h3>
        <div class="form-content">
            <?php echo $params->get('form_content'); ?>
        </div>
    </div>
    <div class="col-xs-12 col-sm-7 col-md-7">
        <form id="spavisclient-form" action="<?php echo JRoute::_('index.php'); ?>" method="post" class="form-validate form-horizontal" enctype="multipart/form-data">          
            <div class="control-group form-group">
                <div class="control-label col-md-4 col-sm-12">
                    <?php echo $this->form->getLabel('category'); ?> 
                </div>
                <div class="controls col-md-8 col-sm-12">
                    <?php echo $this->form->getInput('category'); ?>
                </div> 
            </div>
            <div class="control-group form-group">
                <div class="control-label col-md-3 col-sm-12">
                    <?php echo $this->form->getLabel('firstname'); ?> 
                </div>
                <div class="controls col-md-3 col-sm-12">
                    <?php echo $this->form->getInput('firstname'); ?>
                </div> 
                <div class="control-label col-md-3 col-sm-12">
                    <?php echo $this->form->getLabel('name'); ?> 
                </div>
                <div class="controls col-md-3 col-sm-12">
                    <?php echo $this->form->getInput('name'); ?>
                </div> 
            </div>
            <div class="control-group form-group">
                <div class="control-label col-md-4 col-sm-12">
                    <?php echo $this->form->getLabel('email'); ?> 
                </div>
                <div class="controls col-md-8 col-sm-12">
                    <?php echo $this->form->getInput('email'); ?>
                </div> 
            </div>                               
            <div class="control-group form-group">
                <div class="control-label col-md-2 col-sm-6">
                    <?php echo $this->form->getLabel('zipcode'); ?> 
                </div>
                <div class="controls col-md-2 col-sm-6">
                    <?php echo $this->form->getInput('zipcode'); ?>
                </div> 
                <div class="control-label col-md-2 col-sm-6">
                    <?php echo $this->form->getLabel('city'); ?> 
                </div>
                <div class="controlscol-md-6 col-sm-6">
                    <?php echo $this->form->getInput('city'); ?>
                </div> 
            </div>
            <div class="control-group form-group">
                <div class="control-label col-md-4 col-sm-12">
                    <?php echo $this->form->getLabel('rating'); ?> 
                </div>
                <div class="controls col-md-8 col-sm-12 stars">
                    <?php  echo $this->form->getInput('rating'); ?>
				</div>
            </div>                               
            <div class="control-group form-group">
                <div class="control-label col-md-4 col-sm-12">
                    <?php echo $this->form->getLabel('comment'); ?> 
                </div>
                <div class="controls col-md-8 col-sm-12">
                    <?php echo $this->form->getInput('comment'); ?>
                </div> 
            </div>  
			<?php if($params->get('captcha') != '' || $params->get('captcha') != 0): ?>
            <div class="control-group form-group">
                <div class="control-label col-md-4 col-sm-12">
                    <?php echo $this->form->getLabel('captcha'); ?> 
                </div>
                <div class="controls col-md-8 col-sm-12">
                    <?php echo $this->form->getInput('captcha'); ?>
                </div> 
            </div>
			<?php endif; ?>
            <div class="control-group form-group">
                <div class="control-label col-sm-4">
                </div>
                <div class="controls col-sm-8">
                    <button class="btn btn-primary validate" type="submit"><?php echo JText::_('COM_spavisclient_SEND'); ?></button>                    
                </div> 
            </div>                           
                <input type="hidden" name="option" value="com_spavisclient" />
                <input type="hidden" name="task" value="save" />
                <input type="hidden" name="return" value="<?php echo $this->return_page; ?>" />
                <input type="hidden" name="id" value="" />
                <?php echo JHtml::_('form.token'); ?>
        </form>    
    </div>
</div>